;	This program is free software; you can redistribute it and/or modify
;	it under the terms of the GNU General Public License as published by
;	the Free Software Foundation; either version 2 of the License, or
;	(at your option) any later version.
;
;	This program is distributed in the hope that it will be useful,
;	but WITHOUT ANY WARRANTY; without even the implied warranty of
;	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;	GNU General Public License for more details.
;
;	You should have received a copy of the GNU General Public License
;	along with this program; if not, write to the Free Software
;	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
; Error
ErrorHandler:
	res onInterrupt,(iy+onFlags)
	ld hl,(currow)
	push hl
	push af
	ld hl,7
	ld (currow),hl
	ld hl,ErrorHandler_Err
	call putstr
	pop af
	ld hl,ErrorHandler_Data
	or a
	jr z,ErrorHandler_Ready
	ld b,a
ErrorHandler_FindString:
	push bc
	xor a
	ld bc,-1
	cpir
	pop bc
	djnz ErrorHandler_FindString
ErrorHandler_Ready:
	call putstr
	pop hl
	ld (currow),hl
	ld hl,(mathAreaStart)
	ld (areaFreeStart),hl
	B_CALL RunIndicOn
	;Wait for enter...
	ld a,busyPause
	ld (indicBusy),a
	res indicOnly,(iy+indicFlags)
	B_CALL GetKey
	ld a,busyNormal
	ld (indicBusy),a
	B_CALL RunIndicOff
	;set flagError,(iy+asm_Flag1)
	;ld (errorkeycode),a
	jp Interface_Next
ErrorHandler_Err:
	DB "ERR: ",0
ErrorHandler_Data:
	DB "ARGUMENTS",0
	DB "MEMORY",0
	DB "BREAK",0
	DB "PARSE",0
	DB "DIV BY 0",0
	DB "DOMAIN",0
	DB "STACK COUNT",0
